Package wx :: Package py :: Module editor :: Class Editor

[frames | no frames]

## Class Editor

Editor having an EditWindow.

Method Summary
| ``__init__`(self, parent, id, pos, size, style)` Create Editor instance.
| ``autoCallTipShow`(self, command)` Display argument spec and docstring in a popup window.
| ``autoCompleteShow`(self, command)` Display auto-completion popup list.
| `clearAll(self)`
| ``destroy`(self)` Destroy all editor objects.
| `emptyUndoBuffer(self)`
| ``getStatus`(self)` Return (filepath, line, column) status tuple.
| ``getText`(self)` Return contents of editor.
| ``hasChanged`(self)` Return True if contents have changed.
| ``OnChar`(self, event)` Keypress event handler.
| ``OnKeyDown`(self, event)` Key down event handler.
| ``setFocus`(self)` Set the input focus to the editor window.
| `setSavePoint(self)`
| ``setText`(self, text)` Set contents of editor.

Method Details

### __init__(self, parent, id=-1, pos=wx.Point(-1, -1), size=wx.Size(-1, -1), style=138412032)
(Constructor)

Create Editor instance.

### autoCallTipShow(self, command)

Display argument spec and docstring in a popup window.

### autoCompleteShow(self, command)

Display auto-completion popup list.

### destroy(self)

Destroy all editor objects.

### getStatus(self)

Return (filepath, line, column) status tuple.

### getText(self)

Return contents of editor.

### hasChanged(self)

Return True if contents have changed.

### OnChar(self, event)

Keypress event handler.

Only receives an event if OnKeyDown calls event.Skip() for the corresponding event.

### OnKeyDown(self, event)

Key down event handler.

### setFocus(self)

Set the input focus to the editor window.

### setText(self, text)

Set contents of editor.

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:12:06 2007 | http://epydoc.sf.net